List phone numbers
curl --request GET \
--url https://api.wavix.com/v1/numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"number": "12565378257",
"activation_fee": "0.99",
"monthly_fee": "0.99",
"per_min": "0.01",
"city": "DETROIT, MI",
"state": "example",
"country": "United States",
"country_short_name": "US",
"destination": [
{
"id": 1,
"destination": "[did]@sipuri.com",
"priority": 1,
"transport": 1,
"trunk_id": 23123,
"srtp": false,
"trunk_label": "My trunk"
}
],
"channels": 24,
"require_docs": [
"1"
],
"documents": [
{
"id": 423,
"allow_replace": false,
"did_number": "12565378257",
"doc_content_type": "image/png",
"doc_file_name": "Copy of ID.png",
"doc_type_id": 1,
"status": "approved",
"url": "https://api.wavix.com/v1/numbers/24882/papers/1"
}
],
"domestic_cli": true,
"free_min": 123,
"unlimited": true,
"label": "example",
"status": "example",
"seconds": "example",
"added": "2023-04-10T06:42:59.000Z",
"paid_until": "2023-12-07",
"sms_enabled": false,
"sms_relay_url": "https://your-website.com/webhook",
"cnam": true,
"call_recording_enabled": true,
"transcription_enabled": true,
"transcription_threshold": 6,
"call_status_url": "https://example.com"
}
],
"doc_types": [
{
"id": 2,
"name": "address",
"title": "Proof of address"
}
],
"pagination": {
"current_page": 2,
"per_page": 25,
"total": 101,
"total_pages": 5
}
}{
"success": false,
"message": "The service is not provisioned for your account."
}My numbers
List phone numbers
Returns a paginated list of the phone numbers owned by the authenticated account.
GET
/
v1
/
numbers
List phone numbers
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Query Parameters
Filters numbers by the ID of their city or rate center.
Example:
123
Filters numbers by a full or partial phone number.
Example:
"256537"
Filters numbers by label.
Example:
"ALEX"
When true, returns only numbers that have a label; when false, only numbers without one.
Example:
true
Page number to retrieve. Default 1.
Example:
2
Number of records to return per page. Default 25.
Example:
50
Response
Returns a paginated list of phone numbers.
Was this page helpful?
⌘I